{% load static %}
{% load bootstrap4 %}
{% load i18n %}
{% get_current_language as LANGUAGE_CODE %}

<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <meta charset="utf-8">
    <meta name="description" content="{% trans 'QR Code generator to Wikimedia pages' %}">
    <meta name="author" content="Wikimédia France">
    <link rel="icon" href="{% static 'qrmedia/img/favicon.png' %}">
    {% bootstrap_css %}
    <link rel="stylesheet" href="{% static 'qrmedia/css/style.css' %}">
    {% block head %}
    {% endblock %}
    <title>QRMedia</title>
  </head>
  <body class="d-flex flex-column h-100">
    <header>
      <!-- Fixed navbar -->
      <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <a class="navbar-brand" href="#">QRMedia</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
              <a class="nav-link" href="/">{% trans "Homepage" %}</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/stats/">{% trans "Statistics" %}</a>
            </li>
          </ul>
        </div>
      <div class="mt-2 mt-md-0">
        {% include 'qrmedia/language-selector.html' %}
      </div>
      </nav>
    </header>

    <!-- Begin page content -->
    <main role="main" class="flex-shrink-0">
      <div class="container">
              {% bootstrap_messages %}

              {% block content %}
              {% endblock %}
      </div>
    </main>

    <footer class="footer mt-auto py-3">
      <div class="container">
        <nav class="navbar navbar-expand-md navbar-light">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item"><a href="https://gitlab.wikimedia.org/repos/wikimedia-france/qrmedia">
              <img src="{% static 'qrmedia/img/gitlab.png' %}" height="32px" alt="Wikimedia GitLab repository"> {% trans "Wikimedia GitLab repository" %}
            </a></li>
          </ul>
          <ul class="navbar-nav mt-2 mt-md-0">
            <li class="nav-item"><a href="https://www.wikimedia.fr">
              {% trans "Developed by" %} <img src="{% static 'qrmedia/img/wmfr.png' %}" height="32px" alt="Wikimédia France">
            </a></li>
          </ul>
        </nav>
      </div>
    </footer>
    <script type="text/javascript" src="{% static 'qrmedia/lib/jquery-3.4.1.min.js' %}"></script>
    {% block footerjs %}
    {% endblock %}
    <!-- Matomo -->
    <script>
      var _paq = window._paq = window._paq || [];
      /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
      _paq.push(['trackPageView']);
      _paq.push(['enableLinkTracking']);
      (function() {
        var u="https://matomo.wikimedia.fr/";
        _paq.push(['setTrackerUrl', u+'matomo.php']);
        _paq.push(['setSiteId', '11']);
        var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
        g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
      })();
    </script>
    <!-- End Matomo Code -->
    <noscript>
      <!-- Matomo Image Tracker-->
      <img referrerpolicy="no-referrer-when-downgrade" src="https://matomo.wikimedia.fr/matomo.php?idsite=11&amp;rec=1" style="border:0" alt="" />
      <!-- End Matomo -->
    </noscript>
  </body>
</html>
